<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getCurrentServer](./bitburner.singularity.getcurrentserver.md)

## Singularity.getCurrentServer() method

Get the current server.

**Signature:**

```typescript
getCurrentServer(): string;
```
**Returns:**

string

Name of the current server.

## Remarks

RAM cost: 2 GB \* 16/4/1

